#include <iostream>

using namespace std;
void swap(int*a, int*b)
{
    int t=*a;
    *a=*b;
    *b=t;
}
void swapd(double*a, double*b)
{
    int t=*a;
    *a=*b;
    *b=t;
}
void bubbleSort(int arr[], double ar[], int n)
{
    int i, j;
    for (i = 0; i < n-1; i++)
    for (j = 0; j < n-i-1; j++)
        if (ar[j] < ar[j+1])
            {
                swap(&arr[j], &arr[j+1]);
                swapd(&ar[j], &ar[j+1]);
            }
}
int main ()
{
	int n;
	cin>>n;
	int a[n];
    double p[n];
    double porez;
    long max=0;
    long racun=0;
    for(int i=0;i<n;i++)
    {
        cin>>a[i]>>p[i];
    }
    bubbleSort(a, p, n);
    for(int i=0;i<n;i++)
    {
        racun=0;
        for(int j=0;j<=i;j++)
        {
            racun+=a[j];
        }
        racun*=p[i];
        if(racun>=max)
        {
            max=racun;
        }
    }
    cout<<max<<endl;
    return 0;
}